summaryrefslogtreecommitdiffstats
path: root/network/retroshare/retroshare.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/retroshare/retroshare.SlackBuild')
-rw-r--r--network/retroshare/retroshare.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/network/retroshare/retroshare.SlackBuild b/network/retroshare/retroshare.SlackBuild
index 1861c03e25..e333491dec 100644
--- a/network/retroshare/retroshare.SlackBuild
+++ b/network/retroshare/retroshare.SlackBuild
@@ -18,7 +18,7 @@
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
PRGNAM=retroshare
-VERSION=${VERSION:-0.6.4}
+VERSION=${VERSION:-0.6.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -47,13 +47,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
-
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -61,6 +62,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Patch for qt5 >= 5.14.x
+patch -p1 < $CWD/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch
+
RETROTOR=${RETROTOR:-no}
if [ $RETROTOR = yes ]; then
qmake-qt5 PREFIX=/usr LIB_DIR=/usr/lib${LIBDIRSUFFIX} "CONFIG-=debug" "CONFIG+=release" "CONFIG+=retrotor"